﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace MausClip
{
    public partial class Form1 : Form
    {

        int qMaus = 0; // 0: Maus ist frei / 1: Maus ist eingefangen
        Rectangle OrgRec; // ZwSp ursprünglicher Clip-Bereich

        public Form1() // Programm-Start
        {
            InitializeComponent();
            qMaus = 0; // Maus ist frei
            BuMaus.Text = "Maus einfangen"; // Button-Beschriftung
            OrgRec = Cursor.Clip; // Ursprünglicher Clip-Bereich => ZwSp
        }

        private void BuEnde_Click(object sender, EventArgs e) // Programm beenden
        {
            Application.Exit(); // Programm beenden
        }

        private void BuMaus_Click(object sender, EventArgs e) // Click auf Maus-Button
        {
            if (qMaus == 0) // Ist die Maus frei ?
            {
                qMaus = 1; // die Maus ist eingefangen
                BuMaus.Text = "Maus freigeben"; // Button-Text ändern

                // Den aktuellen Cursors in das Fenster setzen
                // und das Programm-Formular als Clip-Rechteck festlegen.

                this.Cursor = new Cursor(Cursor.Current.Handle);
                Cursor.Position = new Point(Cursor.Position.X - 50, Cursor.Position.Y - 50);
                Cursor.Clip = new Rectangle(this.Location, this.Size);
            }
            else // qmaus == 1
            {
                qMaus = 0; // Die Maus ist frei
                BuMaus.Text = "Maus einfangen"; // Button-Text ändern
                Cursor.Clip = OrgRec; // den ursprünglichen Clip-Bereich wieder einstellen
            }
        }
    }
}
